Subject: Re: bug#14125: 24.3; "No such node or anchor: Top" for Info files created by makeinfo 5.1

From: Juri Linkov <[email-masked]>
Date: Sun, 25 Aug 2013 02:54:55 +0300

> I think that this was a bug, bytes of text appearing before the
> first node were not correctly counted, but the behaviour you describe
> should be the correct one (we even documented it in the info
> specification part of the Texinfo manual).
>
> It was compounded by a backward incompatible change of not having the
> same preamble for an info subfiles, as explained to me by Sergey.
>
> Not having the same preamble, especially for the first node with the tag
> table and the other could well become the norm after some decades, so,
> in general, if you can make the Info reader as robust as possible (if
> not already), that would be fine.
>
> The standalone info reader has an option --strict-node-location and you
> can see that it had trouble with your test when using that option,
> which should show that there is an issue in the Info file.

I believe we made the Emacs Info reader robust enough to handle
both old and new formats of preamble.  Regarding the option
--strict-node-location in the standalone Info reader,
we could create a similar option in the Emacs Info reader
with a name like `Info-strict-node-location', but I doubt
that many users might want to use it since it's intended
for debugging, and Emacs has a built-in debugger for that.